settings_name = "./standard_settings.jl"
name = "earliest_pickup_testing_phase"

include(settings_name)


map_folder = "./example_map/map/"
dispatcher_folder = "./example_map/delays_wt1reldelta1/"

for name in readdir(map_folder, join=false)
	try
	cp(map_folder*"/"*name, paths[:map]*"/"*name)
catch e
println(e)
end
end
for name in readdir(dispatcher_folder, join=false)
	try
	cp(dispatcher_folder*"/"*name, paths[:dispatcher]*"/"*name)
catch e
println(e)
end
end

for (name, path) in paths
    try
	mkpath(path)
    catch e
	println(e.msg)
    end
end



N=1
SGE_TASK_ID=12
JOB_NAME=name
run(`/usr/ds/bin/julia sim.jl $SGE_TASK_ID $settings_name $JOB_NAME`)
